Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(7)  |  Call(7)  |  Derive(0)  |  Import(0)

src/l/a/ladybug-HEAD/src/Ladybug_Create Legend.py   ladybug(Download)
 
    # move the text legend points over just a little bit so that they are not right up against the legend.
    transforMatrix = rc.Geometry.Transform.Translation((3.5*(legendWidth/10)*legendScale), 0, 0)
    for point in textPt:
        point.Transform(transforMatrix)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/object.py   rhinopython(Download)
    if translation:
        translation = rhutil.coerce3dvector(translation, True)
        translation = Rhino.Geometry.Transform.Translation(translation)
    else:
        translation = Rhino.Geometry.Transform.Identity
    """
    translation = rhutil.coerce3dvector(translation, True)
    xf = Rhino.Geometry.Transform.Translation(translation)
    rc = TransformObjects(object_ids, xf)
    return rc
    else:
        #Orient2Pt
        xform_move = Rhino.Geometry.Transform.Translation( to_array[0]-from_array[0] )
        xform_scale = Rhino.Geometry.Transform.Identity
        v0 = from_array[1] - from_array[0]

src/r/h/rhinopython-HEAD/scripts/rhinoscript/transformation.py   rhinopython(Download)
def XformTranslation(vector):
    "Creates a translation transformation matrix"
    vector = rhutil.coerce3dvector(vector, True)
    return Rhino.Geometry.Transform.Translation(vector)
 

src/h/o/Honeybee-HEAD/src/Honeybee_Glazing based on ratio.py   Honeybee(Download)
                sillVec = rc.Geometry.Vector3d.Multiply(maxSillHeight, sillUnitVec)
 
            transformMatrix = rc.Geometry.Transform.Translation(sillVec)
 
            for line in winLinesStart:
                sillVec = rc.Geometry.Vector3d.Multiply(maxSillHeight, sillUnitVec)
 
            transformMatrix = rc.Geometry.Transform.Translation(sillVec)
 
            winStartLine = rectBtmCurve